Thu Nov 21 16:55:05 JST 1996	rev5.3.3
	* Visual Shunauzer で, ファイルをクリックしたときにメインウィ
	  ンドウのカラーマップをインストールする拡張を加えた.
	* xvml.c で, xv.codeSet を見るようにした.
	* TV_MULTILINGUAL を define しない時, コンパイルできなかったの
	  を修正.
	* xvml.c で, malloc の管理領域を破壊していたかもしれないバグを
	  フィックス.
	* xvml.c で, 改行の扱いに関して, 新しいパネルを作ることで対処
	  してみた.

Mon Oct  7 20:27:57 JST 1996	rev5.3.2
	* Warning を消すために, 多くのソースでキャストを行った.
	* xvmag.c, xvmaki.c, xvpi.c, xvpic.c で, Pad 機能を用いたとき
	  に, セグメンテーションフォールトが起こるバグをフィックス.
	* xv.h に, RedHat-2.0(linux-2.0.21) + libc-5.3.12 で, コンパイ
	  ルエラーが起こるのに対処するコードを追加.
	* xvml.c の, strdup で起こる Warning を出ないようにした.
	* 以下, Multilingual TextViewer の変更.
	* 機種間の改行コードの相違問題を解決するための準備をした.
	* 長過ぎる行は表示に失敗するので, 途中で切り落とすようにした.
	* ShiftJIS → ISO-2022 の変換中の CR/LF → LF の変換をやめた.

Thu Mar 28 21:31:32 JST 1996	rev5.3.1

	* MultiLingual TextViewer の, フォントの検索機構を変更した.
	* #ifdef TV_MULTILINGUAL が抜けている個所があった.
	* Warning を出ないようにした.
	* MultiLingual TextViewer で, ファイル読み込み時と, コメント読
	  み込み時の文末処理を元に戻した.
	* xvml.c, xvtext.c のソースの整理.
	* MultiLingual TextViewer で, リソースとして, xv.tabWidth を指
	  定できるようにした.

Tue Mar  5 16:24:45 JST 1996	rev5.3.0

	* 以下, MultiLingual TextViewer の変更.
	* SJIS モードで長さが 0 のテキストの場合だけ特殊処理をするよう
	  にした.
	* ファイル読み込み時と, コメント読み込み時の文末処理の不整合に
	  対する修正.
	* コメントがない時に前のコメントがそのまま表示されていたのを修
	  正.
	* Code Set のメニューを大幅に変更/追加.
	* Shift JIS をサポート.
	* Expose イベントを受けた時に, テキストが消えることがあるのを
	  修正.
	* resize 時におかしくなることがあるのを修正.
	* Ascii→Hexの切替の時に行間にゴミが残っていたのを修正.
	* Ascii時, 一番下の行の下にゴミが出ていたのを修正.
	* 表示できないコードを \xxx の形式で表示する時, 'xxx になって
	  いたのを修正.

Thu Feb 29 19:44:31 JST 1996	rev5.2.6

	* MultiLingual TextViewer で, ウォーニングメッセージをポップアッ
	  プするようにした.
	* xvml.c で, ascii フォントが見つからない場合に, コアダンプす
	  るのを修正.
	* xvml.c で, 一部 exit() が残っていたのを, Quit() に修正.
	* MultiLingual TextViewer で, フォントをリソースで指定できるよ
	  うにした.
	* MultiLingual TextViewer で, 魚をサポート.
	* MultiLingual TextViewer の高速化.
	* xvml.h で, 関数のプロトタイプが間違っていたのをフィックス.

Tue Feb 13 13:18:02 JST 1996	rev5.2.5

	* xvml.c で, サイズの大きいテキストファイルも読めるようにした.

Fri Dec 22 17:37:07 JST 1995	rev5.2.4

	* xvpcd.c で, 4Base(1536x1024)の設定で表示させると, 左端の縦一
	  列にゴミが出る不具合をフィックス.

Mon Dec  4 18:34:06 JST 1995	rev5.2.3

	* xvml.c で, 一部の画像を表示する際に問題が生じていたのをフィッ
	  クス.

Wed Nov 29 14:19:43 JST 1995	rev5.2.2

	* xvmgcsfx.c で magic [bl]eint32 のデータを int16 に代入してい
	  たのを修正.
	* ANSI スタイルの関数が２つあったので, K&R スタイルに修正.
	* SunOS 4.1 の cc では, ストリングが複数並ぶものをストリングと
	  して解釈できないので修正.
	* xvpic.c で, 変数の型を誤っていたのを修正.
	* xvpic2.c で, opaque の処理を誤っていたのを修正.
	  (以上 5点, Thanks to 堀内保秀 <yhori@pino.mei.co.jp>さん).
        * コントリビューションフィルタとして, ザウルス手書メモ等 to
	  ppm のフィルタを加えた.

Mon Nov 20 14:12:38 JST 1995	rev5.2.1

	* xvpbm.c の, MGCSFX を使用する際, DEC OSF/1 v3.0 でパイプが途
	  中までしか読めないことによる問題点をフィックス.

Tue Oct 24 15:04:21 JST 1995	rev5.2.0

	* mlview をマージした.

Thu Oct 19 15:07:53 JST 1995	rev5.1.10 (jp-ext release)

	* xv.c で, MGCSFX を扱うための変数に問題があったので, 変更.

Fri Oct 13 12:54:59 JST 1995	rev5.1.9

	* プリプロセッサ命令の修正.

Wed Oct 11 17:11:47 JST 1995	rev5.1.8

	* xvmgcsfx.c で, signal 関係の実装を変更.
	* xvvd.c で, Mkvdir() で SIGCHLD もブロックするようにした.

Mon Oct  2 16:05:50 JST 1995	rev5.1.7

	* ユーザ定義フィルタで, <in c> のコマンド実行でエラーが発生す
	  ると, 無限ループに陥ってしまうバグをフィックス.
	* コントリビューションフィルタに, camtoppm(convert CASIO
	  Digital camera QV-10's format to ppm(or jpeg))を加えた.

Mon Sep 25 16:32:23 JST 1995	rev5.1.6

	* xvvd.c で, / 直下のディレクトリの親ディレクトリのパス最適化
	  が誤っていたのをフィックス.
	* xvmgcsfx.c で, Solaris2.x のとき SIGCHLD を見ないようにした.
	* コントリビューションフィルタとして, unchc(skip header of
	  CERN httpd cache file)を加えた.

Thu Sep 14 19:21:06 JST 1995	rev5.1.5

	* xvmgcsfx.c のバグフィクス, および xv_mgcsfx の読み込みのとき
	  のエラー処理を入れた.
	* xvvd.c で, Virtual directory のパーミッションを 700 にした.
	* フィルタコマンドのソースを, contrib に移動.
	* コントリビューションフィルタとして, tim(used by SONY
	  PlayStation) to ppm のフィルタを加えた.

Mon Sep 11 16:13:14 JST 1995	rev5.1.4

	* xvvd.c で, 不要なときにテンポラリディレクトリを作成するのを
	  やめた.
	* xvmgcsfx.c で, DEBUG 時のコーディングを変更した.
	* xv_mgcsfx.sample を MGCSFXDIR=$(LIBDIR) にインストールするよ
	  うにした. 同時に, サイトコンフィギュレーションファイルが,
	  MGCSFXDIR/MGCSFX_SITE_RC になるように変更.

Sun Sep  3 22:34:12 JST 1995	rev5.1.3

	* xvmgcsfx.c で, 致命的なメモリのアロケーション以外での exit() 
	  をやめるようにした.
	* <input_image_type> に `auto' と記入すると、テンポラリに書き
	  出して、XV の認識処理を通してからロードするようにした.

Tue Aug 29 19:35:58 JST 1995	rev5.1.2

	* xvmgcsfx.c の DEC Alpha の問題点がまだ残っていた.
	* ユーザフィルタ定義ファイルで, シンボル `strings' を `magic' 
	  に変更.

Sat Aug 26 01:17:28 JST 1995	rev5.1.1

	* xvmgcsfx.c で, NEEDSDIR を定義するのを忘れていた.
	* 同じく, USE_MGCSFX_PREPROCESSOR が定義されていないときの不具
	  合をフィックス.
	* 同じく, DEC Alpha では, sscanf( ,"%li", )が、64bit になるの
	  を修正.
	* config.h で, スペルミスがあった.
	* bits/br_mgcsfx のスペルミスを修正.

Wed Aug 23 19:20:52 JST 1995	rev5.1.0

	* ユーザ定義フィルタに, プリプロセッサ機能を追加.

Wed Aug 23 02:28:29 JST 1995	rev5.0.0

	* ユーザ定義フィルタ機能をマージ.

Wed Aug 23 01:42:53 JST 1995	rev4.2.2

	* xvvd.c で, vd_recursive_rmdir において, closedir を忘れてい
	  たのをフィックス.

Fri Jun 30 23:58:39 JST 1995	rev4.2.1

	* OLDPIC にも, Japanese Extension の Revision を埋めこむように
	  した.

Thu Jun 29 19:21:40 JST 1995	rev4.2.0

	* xvvd.c の関数名を一部変更.
	* AUTOEXTRACT を AUTO_EXPAND に変更.
	* Thumbdir(Icon を保存するディレクトリ)が作成できない場合でも, 
	  Virtual directory 機能を用いて, XV を終了するまで Icon のデー
	  タを保持できる機能を追加.
	* Visual Shunauzer を 2つ開いたときに, ディレクトリの認識を誤
	  るバグ(オリジナルのバグ)をフィックス.

Fri Jun 23 15:24:31 JST 1995	rev4.1.0

	* Japanese Extension の Revision を埋め込んだ.
	* xvpic2.c で, VERSTR の文字数を仮定したコードをフィックス.
	* Visual Shunauzer に, aspect を考慮するオプションを追加.
	* xvvd.c で, arj の判定方法が間違っていたのをフィックス.

Wed Jun 14 19:30:14 JST 1995	rev4.0.4

	* config.h で, /* #define XXX */ を #undef XXX に.
	* xvpcd.c の warnning を消した.
	* macbinary モードにおいて, TextViewer でテキストファイルの先
	  頭が切れるのをフィックス.
	* virtual directory 中の画像ファイルについて, 画像ウィンドウ上
	  において, ^t で内容を見ることができなかったのをフィックス.

Wed Jun 07 17:00:44 JST 1995	rev4.0.3 (jp-ext release)

	* TextViewer
	  - フォントの指定方法を変更.
	  - 誤った locale 名を指定しても, 幅が狭くならないように.
	  - DEC OSF/1 で, jisx0201 に含まれるコードは, `=' で表示する
	    ように.
	  - 日本語表示ができない環境でも文字コードの識別を行ってしまい,
            表示が元の TextViewer と異なってしまっていたのをフィックス.
	  - キーボードで文字コードを変えたり TextViewer を閉じたりでき
	    るように.
	  - マクロの名前を変更.
	  - xv.c と xv.h で TV_FONTSET が定義されていたので, xv.h の方
	    の記述を削除.

Tue Jun 06 16:21:16 JST 1995	rev4.0.2

	* 英語のドキュメントを書いた.
	* LOCALE_*, TV_FONTSET を xv.h に移動.
	* 画像のコメントを見るときに, 日本語コード判別が上手くいってい
	  なかったのをフィックス.

Sat Jun 03 14:01:55 JST 1995	rev4.0.1

	* TextViewer のボタンラベルの変更.
	* MAG のコメント処理部分の bug fix.
	* xv.h に SEEK_SET などの定義を追加.
	* locale の定義を xv.h に移動.
	* TV_L10N の対応 OS の追加.

Thu Jun 01 19:19:48 JST 1995	rev4.0.0

	* HAVE_* を復活させた.
	* TextViewer l10n patch をマージした.

Sat Apr 29 23:05:39 JST 1995	rev3.6.0

	* vd_recursive_{mk|rm}dirを 書いた.
	* ディスプレイをオープンできなかったら virturl directory が残って
          いた.

Tue Apr 25 19:06:48 JST 1995	rev3.5.15 (jp-ext release)

	* xvpic2.c の warning を消した.

Mon Apr 24 12:44:06 JST 1995	rev3.5.14

	* sh 系のシェルを使って AUTOEXTRACT すると, core dump した.

Mon Apr 24 11:38:10 JST 1995	rev3.5.13

	* SVR4 も sighold を使うようにした.
	* SIGHUP を再設定するようにした.

Sun Apr 23 16:36:28 JST 1995	rev3.5.12

	* mkvdir をクリティカルセクションにした.

Sat Apr 22 18:15:38 JST 1995	rev3.5.11

	* getenv の warning を消した.
	* Solaris では, C-c を2回連続して押すと /tmp/.xvvdXXXXX/を消さずに
          終了していた.

Fri Apr 21 16:36:25 JST 1995	rev3.5.10

	* PIC2 の色の内部表現を変更.
	* トラップするシグナルを減らした.

Wed Apr 19 13:45:41 JST 1995	rev3.5.9

	* arc と Q4 のマジックナンバの対策.

Wed Apr 19 11:41:44 JST 1995	rev3.5.8

	* P2SF の色化けをフィックス.

Wed Apr 19 00:42:18 JST 1995	rev3.5.7

	* P2SS の色化けをフィックス.

Mon Apr 10 15:36:42 JST 1995	rev3.5.6 (jp-ext release)

	* 24bit-PIC2 の仕様の勘違いをフィックス.

Fri Apr 07 17:24:21 JST 1995	rev3.5.5

	* シグナルをたくさんフックしてみた.

Fri Apr 07 14:32:57 JST 1995	rev3.5.4

	* /tmp -> /var/tmp とリンクを張ってる時の問題を解決.

Thu Apr 06 00:37:57 JST 1995	rev3.5.3

	* まだ魚が残っていた.
	* コマンドラインでファイル名だけを指定すると core dump した.

Tue Apr 05 13:40:21 JST 1995	rev3.5.2

	* visual schnauzer でクリックで魚が残った.
	* save する時に clear virtual directory されていても良くした.

Tue Apr 04 23:54:06 JST 1995	rev3.5.1

	* Load all の後で clear virtual directory するとまずかった.

Tue Apr 04 17:17:33 JST 1995	rev3.5.0

	* 今までのまとめ.

Tue Apr 04 13:30:10 JST 1995	rev3.4.9

	* 標準エラー出力を潰して fork, exec するように.

Mon Apr 03 14:46:01 JST 1995	rev3.4.8

	* chdir がおかしかった.

Mon Apr 03 12:25:46 JST 1995	rev3.4.7

	* popen, pclose を使って fork, exec してみた.

Sun Apr 02 14:19:39 JST 1995	rev3.4.6

	* Visual Schnauzer のアーカイブディレクトリ中でスペースや BS が効
	  いてなかった.

Sun Apr 02 00:55:47 JST 1995	rev3.4.5

	* アーカイブ中のディレクトリやアーカイブを chdir で選べるように.

Thu Mar 30 13:46:44 JST 1995	rev3.4.4

	* vd_archive -> isarchive

Wed Mar 29 18:03:21 JST 1995	rev3.4.3

	* アーカイブ中のアーカイブをコピーしようとするとディレクトリが
	  コピーされていた.
	* Icon Update が死んでいた.

Wed Mar 29 15:29:21 JST 1995	rev3.4.2

	* xvvd.c で NULL を '\0' に変更.

Wed Mar 29 10:20:35 JST 1995	rev3.4.1

	* xvvd.c の optimize_path のバグフィックス.
	* コメントを付加.

Wed Mar 29 05:13:23 JST 1995	rev3.4

	* xvvd.c を書いて, xvvcd.c を捨てた.

Wed Mar 29 00:46:16 JST 1995	rev3.3.5

	* archive move の時に仮想ディレクトリが移動してなかった.

Tue Mar 28 15:34:34 JST 1995	rev3.3.4

	* パイプの強制切断をフィックス.

Tue Mar 28 12:30:15 JST 1995	rev3.3.3

	* gzip のマジックナンバに関するフィックス.

Tue Mar 28 12:30:15 JST 1995	rev3.3.2

	* lzh や tar.gz にアクセスできなかった.

Tue Mar 28 06:06:52 JST 1995	rev3.3.1

	* lzh を指定して cd しようとした時の不具合をフィックス.

Tue Mar 28 05:15:43 JST 1995	rev3.3

	* xvvcd.c でパスをまじめにオプティマイズするようにした.

Sat Mar 25 04:57:45 JST 1995	rev3.0

	* アーカイブ自動展開パッチをマージ.
	* アーカイブ自動展開が機能するように Visual Schnauzer を改善.

Thu Mar 23 14:23:48 JST 1995	rev2.1

	* まとめ.

Wed Mar 22 22:08:22 JST 1995	rev1.3

	* SunOS ではコンパイルエラーが出た.
	* xvpcd.c の ULineString の引数の順番が間違っていた.

Wed Mar 22 03:51:50 JST 1995	rev1.2

	* 新しい PhotoCD パッチをマージ.

Thu Mar 16 19:49:15 JST 1995	rev1.1 (magpic2-PhotoCD patch release)

	* PhotoCD パッチをマージ.

Tue Mar 14 00:49:46 JST 1995	rev1.0

	* 今までのまとめ.

Sat Mar 11 13:19:26 JST 1995	rev0.6

	* xvpic2.c を書いた.

Thu Mar 09 04:56:29 JST 1995	rev0.5

	* Pi の色化けをフィックス. *_malloc を追加.

Wed Mar 01 16:24:25 JST 1995	rev0.4

	* xvpi.c を書いた.

Fri Feb 24 16:00:26 JST 1995	rev0.3

	* NEWS-OS 4.2 でコンパイルできるようになった.

Fri Feb 24 09:45:49 JST 1995	rev0.2

	* xvmag.c をバージョンアップ. xvmaki.c, xvpic.c を書いた.

Sat Feb 18 21:02:02 JST 1995	rev0.1 (magpic patch release)

	* xvmag.c はオリジナル. xvmaki.c は coerce から. xvpic.c は以
	  前のもの.
